Skip to main content
`Ctrl`+`K`

# SNESMSGetDamping

Get the damping parameter of `SNESMS` multistage scheme

## Synopsis

    #include "petscsnes.h"
    PetscErrorCode SNESMSGetDamping(SNES snes, PetscReal *damping)

Not Collective

## Input Parameter

- snes - nonlinear solver context

## Output Parameter

- damping - damping parameter

## See Also

SNES: Nonlinear Solvers, `SNESMSSetDamping()`, `SNESMS`

## Level

advanced

## Location

src/snes/impls/ms/ms.c

## Implementations

SNESMSGetDamping_MS() in src/snes/impls/ms/ms.c

Index of all SNES routines
Table of Contents for all manual pages
Index of all manual pages